Name:		mulk
Version:	0.4.1
Release:	3%{?dist}
Summary:	Multi-connection network downloader with Metalink support
Group:		Applications/Internet
License:	GPLv3+
URL:		http://mulk.sourceforge.net
Source0:	http://downloads.sourceforge.net/mulk/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libcurl-devel libtidy-devel uriparser-devel
BuildRequires:	libxml2-devel libmetalink-devel


%description
Multi-connection command line tool for downloading Internet sites with
image filtering and Metalink support. Similar to wget and cURL, but it
manages up to 50 simultaneous and parallel links. Main features are: 
HTML code parsing, recursive fetching, Metalink retrieving, segmented
download and image filtering by width and height.


%prep
%setup -q
chmod -x src/uri_parser.c

%build
%configure
make %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README NEWS ChangeLog THANKS TODO
%{_bindir}/mulk
%{_mandir}/man1/*

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 25 2009 Ant Bryan <anthonybryan at gmail.com> - 0.4.1-2
- Remove spurious executable perm on uri_parser.c
- Add THANKS and TODO to %doc

* Sun May 24 2009 Ant Bryan <anthonybryan at gmail.com> - 0.4.1-1
- Upstream release 0.4.1, change from liburi to uriparser
- Add BuildRequires: uriparser-devel
- Remove BuildRequires: libjpeg-devel

* Thu May 07 2009 Ant Bryan <anthonybryan at gmail.com> - 0.4.0-2
- Add BuildRequires: libjpeg-devel

* Mon Apr 27 2009 Ant Bryan <anthonybryan at gmail.com> - 0.4.0-1
- Initial package, 0.4.0
